/**************************************************************************/
/* tg_sub.c -  Function to handle the submenu choices for "Trek Guru".    */
/*                                                                        */
/*                Original creator: Rob Seace (ras@world.std.com)         */
/*                                                                        */
/*        Note: If you make ANY changes at all to any of the code, PLEASE */
/*              make note of it with comments, as well as in the "README" */
/*              file, especially if re-distributing the new code.         */
/**************************************************************************/


#include "trekguru.h"


/* tg_do_sub -  Handles the submenu choices, after Acts and Eps have been
                filled in (or, File_* booleans have been set, if NOT UseMem).
*/

void tg_do_sub ()
{
    int        choice;                /* user-selected menu choice        */
static    char    *sub_menu_choices[] = {
                "Return to Main Menu.",
                "Display Help Information.",
                "Search for Character by Actor.",
                "Search for Actor by Character.",
                "Search for Actor/Character by Episodes.",
                "Search for Episode by Title.",
                "Search for Episode by Production Number.",
                "Search for Episode by Original Airdate.",
                "Search for Episode by Stardate.",
                "Search for Episode by Writer.",
                "Search for Episode by Director.",
                "Search for Episode by Synopsis.",
                "Search for Episode by Multiple Criteria.",
                "Find Actor/Character Information for All.",
                "Find Episode Information for All.",
                "List all Actors/Characters (just names).",
                "List all Episodes (just titles & numbers).",
                NULL};         /* List of submenu choices (display text)    */

    while (choice = tg_menu (sub_menu_choices)) {    /* while not choice "0" */
        if (choice IS 0)        /* should never happen */
            break;
        else if (choice IS 1)
            tg_help_sub ();
        else if (choice IS 2)
            tg_search_act (TG_SRCH_BY_ACT);
        else if (choice IS 3)
            tg_search_act (TG_SRCH_BY_CHAR);
        else if (choice IS 4)
            tg_search_act (TG_SRCH_BY_EPS);
        else if (choice IS 5)
            tg_search_eps (TG_SRCH_BY_TITLE);
        else if (choice IS 6)
            tg_search_eps (TG_SRCH_BY_NUM);
        else if (choice IS 7)
            tg_search_eps (TG_SRCH_BY_AIRDATE);
        else if (choice IS 8)
            tg_search_eps (TG_SRCH_BY_STARDATE);
        else if (choice IS 9)
            tg_search_eps (TG_SRCH_BY_WRITER);
        else if (choice IS 10)
            tg_search_eps (TG_SRCH_BY_DIRECTOR);
        else if (choice IS 11)
            tg_search_eps (TG_SRCH_BY_SYNOP);
        else if (choice IS 12)
            tg_search_eps (TG_SRCH_BY_MULT);
        else if (choice IS 13)
            tg_search_act (TG_SRCH_BY_NONE);
        else if (choice IS 14)
            tg_search_eps (TG_SRCH_BY_NONE);
        else if (choice IS 15)
            tg_list_acts ();
        else if (choice IS 16)
            tg_list_eps ();
        else        /* should never happen */
            printf ("\07\nBad Choice: %d.\n", choice);
    }
}

